Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface SAFRemoteEndpointRuntimeMBean

All Superinterfaces:
  CursorRuntimeMBean, DynamicMBean, MBeanRegistration, MessageCursorRuntimeMBean, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, SAFMessageCursorRuntimeMBean, SAFStatisticsCommonMBean, WebLogicMBean

All Known Subinterfaces:
  JMSRemoteEndpointRuntimeMBean, WSRMRemoteEndpointRuntimeMBean

public interface SAFRemoteEndpointRuntimeMBean
extends SAFStatisticsCommonMBean, SAFMessageCursorRuntimeMBean

This class is used for monitoring a WebLogic SAF remote endpoint

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `expireAll()` All pending messages for a remote destination are processed according to the policy specified by the associated Error Handling configuration and then removed.
`long` | `getDowntimeHigh()` Specifies the longest time, in seconds, that the remote endpoint has not been available since the last reset.
`long` | `getDowntimeTotal()` Specifies the total time, in seconds, that the remote endpoint has not been available since the last reset.
`String` | `getEndpointType()` Specifies if the remote endpoint is a JMS or WSRM destination.
`Exception` | `getLastException()` Specifies the exception thrown when message forwarding failed.
`Date` | `getLastTimeConnected()` Specifies the last time that the remote endpoint was connected.
`Date` | `getLastTimeFailedToConnect()` Specifies the last time that the remote endpoint failed to be connected.
`String` | `getMessages(String selector, Integer timeout)` Queries messages on the queue according to the message selector and returns a message cursor representing the result set.
`String` | `getOperationState()` Specifies the state of the most recent `ExireAll` operation.
`long` | `getUptimeHigh()` Specifies the longest time, in seconds, that the remote endpoint has been available since the last reset.
`long` | `getUptimeTotal()` Specifies the total time, in seconds, that the remote endpoint has been available since the last reset.
`String` | `getURL()` The URL of the remote endpoint.
`boolean` | `isPausedForForwarding()` Indicates if the remote endpoint is currently not forwarding messages.
`boolean` | `isPausedForIncoming()` Indicates if a remote endpoint is currently not accepting new messages.
`void` | `pauseForwarding()` Pauses the forwarding of messages for a remote endpoint.
`void` | `pauseIncoming()` Pauses a remote endpoint so that new messages are not accepted.
`void` | `purge()` Destroys all conversations and purges all the pending messages for a remote destination.
`void` | `resumeForwarding()` Resumes the forwarding of messages for the remote endpoint.
`void` | `resumeIncoming()` Resumes a remote endpoint so that new messages are accepted.

Methods inherited from interface weblogic.management.runtime.SAFStatisticsCommonMBean
`getBytesCurrentCount, getBytesHighCount, getBytesPendingCount, getBytesReceivedCount, getBytesThresholdTime, getFailedMessagesTotal, getMessagesCurrentCount, getMessagesHighCount, getMessagesPendingCount, getMessagesReceivedCount, getMessagesThresholdTime`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.management.runtime.SAFMessageCursorRuntimeMBean
`sort`

Methods inherited from interface weblogic.management.runtime.MessageCursorRuntimeMBean
`getMessage, getMessage`

Methods inherited from interface weblogic.management.runtime.CursorRuntimeMBean
`closeCursor, getCursorEndPosition, getCursorSize, getCursorStartPosition, getItems, getNext, getPrevious`

Method Detail

### expireAll

    public void expireAll()

  All pending messages for a remote destination are processed according to the policy specified by the associated Error Handling configuration and then removed.

  - When selected, `expireAll` is performed asynchronously by the server.

  - BEA recommends that the remote endpoint is paused for incoming messages prior to expiring messages. When all pending messages are processed and removed, the remote endpoint can be set to resume and accept new messages.

  - The state of the `expireAll` operation can be determined by the `getOperationState` method.

### getDowntimeHigh

    public long getDowntimeHigh()

  Specifies the longest time, in seconds, that the remote endpoint has not been available since the last reset.

  Returns:
    The downtimeHigh value

### getDowntimeTotal

    public long getDowntimeTotal()

  Specifies the total time, in seconds, that the remote endpoint has not been available since the last reset.

  Returns:
    The downtimeTotal value

### getEndpointType

    public String getEndpointType()

  Specifies if the remote endpoint is a JMS or WSRM destination.

  Returns:
    weblogic.management.runtime.SAFConstants.JMS_ENDPOINT or weblogic.management.runtime.SAFConstants.WS_ENDPOINT

### getLastException

    public Exception getLastException()

  Specifies the exception thrown when message forwarding failed.

  Returns:
    the exception.

### getLastTimeConnected

    public Date getLastTimeConnected()

  Specifies the last time that the remote endpoint was connected.

  Returns:
    The lastTimeConnected value

### getLastTimeFailedToConnect

    public Date getLastTimeFailedToConnect()

  Specifies the last time that the remote endpoint failed to be connected.

  Returns:
    The lastTimeFailedToConnect value

### getMessages

    public String getMessages(String selector,
                              Integer timeout)
                       throws ManagementException

  Queries messages on the queue according to the message selector and returns a message cursor representing the result set. The timeout parameter specifies the amount of time in seconds for which the cursor is valid. If the cursor expires, the associated resources are released.

  Parameters:
    `selector` - A valid JMS message selector or SAF message selector.
    `timeout` - Specifies the amount of time the message cursor is valid. A value of 0 indicates the cursor does not expire.
  Throws:
    `weblogic.messaging.saf.InvalidSelectorException` - Thrown when the provided message selector contains invalid syntax.
    `weblogic.messaging.saf.SAFException` - Thrown when an error occurs while performing the query.
    `ManagementException`
  See Also:
    `SAFMessageCursorRuntimeMBean`

### getOperationState

    public String getOperationState()

  Specifies the state of the most recent `ExireAll` operation.

  Returns:
    RUNNNG, STOPPED, or COMPLETED

### getUptimeHigh

    public long getUptimeHigh()

  Specifies the longest time, in seconds, that the remote endpoint has been available since the last reset.

  Returns:
    The uptimeHigh value

### getUptimeTotal

    public long getUptimeTotal()

  Specifies the total time, in seconds, that the remote endpoint has been available since the last reset.

  Returns:
    The uptimeTotal value

### getURL

    public String getURL()

  The URL of the remote endpoint.

  Returns:
    the url value.

### isPausedForForwarding

    public boolean isPausedForForwarding()

  Indicates if the remote endpoint is currently not forwarding messages.

### isPausedForIncoming

    public boolean isPausedForIncoming()

  Indicates if a remote endpoint is currently not accepting new messages.

### pauseForwarding

    public void pauseForwarding()
                         throws weblogic.messaging.saf.SAFException

  Pauses the forwarding of messages for a remote endpoint. The agent accepts new messages but does not forward them.

  Throws:
    `weblogic.messaging.saf.SAFException`

### pauseIncoming

    public void pauseIncoming()
                       throws weblogic.messaging.saf.SAFException

  Pauses a remote endpoint so that new messages are not accepted.

  Throws:
    `weblogic.messaging.saf.SAFException`

### purge

    public void purge()
               throws weblogic.messaging.saf.SAFException

  Destroys all conversations and purges all the pending messages for a remote destination.

  Throws:
    `weblogic.messaging.saf.SAFException`

### resumeForwarding

    public void resumeForwarding()
                          throws weblogic.messaging.saf.SAFException

  Resumes the forwarding of messages for the remote endpoint.

  Throws:
    `weblogic.messaging.saf.SAFException`

### resumeIncoming

    public void resumeIncoming()
                        throws weblogic.messaging.saf.SAFException

  Resumes a remote endpoint so that new messages are accepted.

  Throws:
    `weblogic.messaging.saf.SAFException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD